Bug 113335 - biology/linux-foldingathome needs to run as root?
Summary: biology/linux-foldingathome needs to run as root?
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-04 16:00 UTC by James Snyder
Modified: 2007-09-23 06:50 UTC (History)
0 users

See Also:


Attachments
foldingathome-504.diff (1.36 KB, patch)
2007-06-06 15:14 UTC, onatan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Snyder 2007-06-04 16:00:12 UTC
Upon installing FoldingAtHome I ran the software from a user account only to find that I was stuck in a loop of trying to enter configuration options.  Shortly thereafter I realized that it was trying to write to /usr/local/share/foldingathome, and therefore requires being run as root to write there unless one changes permissions there.  Seing as this isn't installed with a startup script for daemonization, and running as root seems a little excessive for this application, should this be adapted to run from a user account or set up to be able to start at boot?

I'd be willing to throw a patch out, but I'm not sure which would be the best direction here to be consistent with FreeBSD :-)

How-To-Repeat: Install, run as user.
Comment 1 Edwin Groothuis freebsd_committer 2007-06-04 16:00:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 onatan 2007-06-06 12:17:54 UTC
> should this be adapted to run from a user account or set up to be able to start at boot?

We can't change the binary, so we can't have it run as
normal user. I'll have a start-at-boot script when I'll
update the port to 5.04.
Comment 3 Larry Rosenman freebsd_committer 2007-06-06 14:25:57 UTC
I have the binary running as a normal user (multiple times, even) on both
RELENG_6 and -CURRENT.

I also have a startup script I wrote if that would help.

(Mine is running in subdirectories of  my home directory).

LER


-- 
Larry Rosenman                     http://www.lerctr.org/~ler
Phone: +1 512-248-2683                E-Mail: ler@lerctr.org
US Mail: 430 Valona Loop, Round Rock, TX 78681-3893
Comment 4 onatan 2007-06-06 15:14:22 UTC
On 6/6/07, Larry Rosenman <ler@lerctr.org> wrote:
> On Wed, 6 Jun 2007, Jonatan B wrote:
>
> > Cool. I'd like the script, thanks.
> > How did you get it to run as a normal user?
> I just have the script do the su and cd magic.

This diff updates the port to version 5.04, and adds
support to running as normal user using ~/.fah
directory.

Commiter, please commit this update.
Comment 5 Edwin Groothuis freebsd_committer 2007-09-23 06:45:41 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2007-09-23 06:45:47 UTC
edwin       2007-09-23 05:45:41 UTC

  FreeBSD ports repository

  Modified files:
    biology/linux-foldingathome Makefile distinfo 
    biology/linux-foldingathome/scripts FoldingAtHome 
  Log:
  biology/linux-foldingathome needs to run as root?
  (also: update to 5.0.4)
  
          Upon installing FoldingAtHome I ran the software from a
          user account only to find that I was stuck in a loop of
          trying to enter configuration options. Shortly thereafter
          I realized that it was trying to write to
          /usr/local/share/foldingathome, and therefore requires being
          run as root to write there unless one changes permissions
          there. Seing as this isn't installed with a startup script
          for daemonization, and running as root seems a little
          excessive for this application, should this be adapted to
          run from a user account or set up to be able to start at
          boot?
  
  And from maintainer:
  
          This diff updates the port to version 5.04, and adds
          support to running as normal user using ~/.fah
          directory.
  
  PR:             ports/113335
  Submitted by:   James Snyder <jbsnyder@fanplastic.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.2       +1 -1      ports/biology/linux-foldingathome/Makefile
  1.2       +3 -3      ports/biology/linux-foldingathome/distinfo
  1.2       +4 -2      ports/biology/linux-foldingathome/scripts/FoldingAtHome
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"